/**
* 文件：MateriaBomItemQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料BOM单项表</p>
 * <p>Description: MateriaBomItemQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomItemQuery extends MateriaBomItemEntity{
	private static final long serialVersionUID = 1614063230561L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 开始 bom表ID */
	private Long bomIdStart;

	/** 结束 bom表ID */
	private Long bomIdEnd;

	/** 增加 bom表ID */
	private Long bomIdIncrement;

	/** bom表ID */
	private List<Long> bomIdList;

	/** 开始 物料ID */
	private Long materiaIdStart;

	/** 结束 物料ID */
	private Long materiaIdEnd;

	/** 增加 物料ID */
	private Long materiaIdIncrement;

	/** 物料ID */
	private List<Long> materiaIdList;

	/** 物料编码 */
	private List<String> materiaCodeList;

	/** 物料名称 */
	private List<String> materiaNameList;

	/** 开始 物料bom ID，如是再组件，需要填写 */
	private Long materiaBomIdStart;

	/** 结束 物料bom ID，如是再组件，需要填写 */
	private Long materiaBomIdEnd;

	/** 增加 物料bom ID，如是再组件，需要填写 */
	private Long materiaBomIdIncrement;

	/** 物料bom ID，如是再组件，需要填写 */
	private List<Long> materiaBomIdList;

	/** 开始 排序号，默认0 */
	private Long orderNoStart;

	/** 结束 排序号，默认0 */
	private Long orderNoEnd;

	/** 增加 排序号，默认0 */
	private Long orderNoIncrement;

	/** 排序号，默认0 */
	private List<Long> orderNoList;

	/** 分组名称，显示时相同分组名称的按排序号显示在一起，默认null */
	private List<String> groupNameList;

	/** 开始 用量，默认1 */
	private Long useNumStart;

	/** 结束 用量，默认1 */
	private Long useNumEnd;

	/** 增加 用量，默认1 */
	private Long useNumIncrement;

	/** 用量，默认1 */
	private List<Long> useNumList;

	/** 开始 损耗率，0-100，百分比，默认0 */
	private Integer lossRateStart;

	/** 结束 损耗率，0-100，百分比，默认0 */
	private Integer lossRateEnd;

	/** 增加 损耗率，0-100，百分比，默认0 */
	private Integer lossRateIncrement;

	/** 损耗率，0-100，百分比，默认0 */
	private List<Integer> lossRateList;

	/** 开始 必选料，0否，1是，默认1 */
	private Integer requiredStart;

	/** 结束 必选料，0否，1是，默认1 */
	private Integer requiredEnd;

	/** 增加 必选料，0否，1是，默认1 */
	private Integer requiredIncrement;

	/** 必选料，0否，1是，默认1 */
	private List<Integer> requiredList;

	/** 开始 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10 */
	private Integer supplyTypeStart;

	/** 结束 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10 */
	private Integer supplyTypeEnd;

	/** 增加 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10 */
	private Integer supplyTypeIncrement;

	/** 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10 */
	private List<Integer> supplyTypeList;

	/** 开始 供应商 */
	private Long supplierIdStart;

	/** 结束 供应商 */
	private Long supplierIdEnd;

	/** 增加 供应商 */
	private Long supplierIdIncrement;

	/** 供应商 */
	private List<Long> supplierIdList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** 开始 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01Start;

	/** 结束 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01End;

	/** 增加 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01Increment;

	/** 扩展字段，数据意义参看扩展字段定义表 */
	private List<Long> field01List;

	/** 开始 扩展字段 */
	private Long field02Start;

	/** 结束 扩展字段 */
	private Long field02End;

	/** 增加 扩展字段 */
	private Long field02Increment;

	/** 扩展字段 */
	private List<Long> field02List;

	/** 开始 扩展字段 */
	private Long field03Start;

	/** 结束 扩展字段 */
	private Long field03End;

	/** 增加 扩展字段 */
	private Long field03Increment;

	/** 扩展字段 */
	private List<Long> field03List;

	/** 开始 扩展字段 */
	private Long field04Start;

	/** 结束 扩展字段 */
	private Long field04End;

	/** 增加 扩展字段 */
	private Long field04Increment;

	/** 扩展字段 */
	private List<Long> field04List;

	/** 开始 扩展字段 */
	private Long field05Start;

	/** 结束 扩展字段 */
	private Long field05End;

	/** 增加 扩展字段 */
	private Long field05Increment;

	/** 扩展字段 */
	private List<Long> field05List;

	/** 开始 扩展字段 */
	private Long field06Start;

	/** 结束 扩展字段 */
	private Long field06End;

	/** 增加 扩展字段 */
	private Long field06Increment;

	/** 扩展字段 */
	private List<Long> field06List;

	/** 开始 扩展字段 */
	private Long field07Start;

	/** 结束 扩展字段 */
	private Long field07End;

	/** 增加 扩展字段 */
	private Long field07Increment;

	/** 扩展字段 */
	private List<Long> field07List;

	/** 开始 扩展字段 */
	private Long field08Start;

	/** 结束 扩展字段 */
	private Long field08End;

	/** 增加 扩展字段 */
	private Long field08Increment;

	/** 扩展字段 */
	private List<Long> field08List;

	/** 开始 扩展字段 */
	private Long field09Start;

	/** 结束 扩展字段 */
	private Long field09End;

	/** 增加 扩展字段 */
	private Long field09Increment;

	/** 扩展字段 */
	private List<Long> field09List;

	/** 开始 扩展字段 */
	private Long field10Start;

	/** 结束 扩展字段 */
	private Long field10End;

	/** 增加 扩展字段 */
	private Long field10Increment;

	/** 扩展字段 */
	private List<Long> field10List;

	/** 扩展字段 */
	private List<String> field11List;

	/** 扩展字段 */
	private List<String> field12List;

	/** 扩展字段 */
	private List<String> field13List;

	/** 扩展字段 */
	private List<String> field14List;

	/** 扩展字段 */
	private List<String> field15List;

	/** 扩展字段 */
	private List<String> field16List;

	/** 扩展字段 */
	private List<String> field17List;

	/** 扩展字段 */
	private List<String> field18List;

	/** 扩展字段 */
	private List<String> field19List;

	/** 扩展字段 */
	private List<String> field20List;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaBomItemQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaBomItemQuery> andConditionList;


	public MateriaBomItemQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 bom表ID
	 * @return bomIdStart
	 */
	public Long getBomIdStart(){
		return this.bomIdStart;
	}

	/**
	 * 设置 开始 bom表ID
	 * @param bomIdStart
	 */
	public void setBomIdStart(Long bomIdStart){
		this.bomIdStart = bomIdStart;
	}

	/**
	 * 获取 结束 bom表ID
	 * @return bomIdEnd
	 */
	public Long getBomIdEnd(){
		return this.bomIdEnd;
	}

	/**
	 * 设置 结束 bom表ID
	 * @param bomIdEnd
	 */
	public void setBomIdEnd(Long bomIdEnd){
		this.bomIdEnd = bomIdEnd;
	}

	/**
	 * 获取 增加 bom表ID
	 * @return bomIdIncrement
	 */
	public Long getBomIdIncrement(){
		return this.bomIdIncrement;
	}

	/**
	 * 设置 增加 bom表ID
	 * @param bomIdIncrement
	 */
	public void setBomIdIncrement(Long bomIdIncrement){
		this.bomIdIncrement = bomIdIncrement;
	}

	/**
	 * 获取 bom表ID
	 * @return bomIdList
	 */
	public List<Long> getBomIdList(){
		return this.bomIdList;
	}

	/**
	 * 设置 bom表ID
	 * @param bomIdList
	 */
	public void setBomIdList(List<Long> bomIdList){
		this.bomIdList = bomIdList;
	}

	/**
	 * 获取 开始 物料ID
	 * @return materiaIdStart
	 */
	public Long getMateriaIdStart(){
		return this.materiaIdStart;
	}

	/**
	 * 设置 开始 物料ID
	 * @param materiaIdStart
	 */
	public void setMateriaIdStart(Long materiaIdStart){
		this.materiaIdStart = materiaIdStart;
	}

	/**
	 * 获取 结束 物料ID
	 * @return materiaIdEnd
	 */
	public Long getMateriaIdEnd(){
		return this.materiaIdEnd;
	}

	/**
	 * 设置 结束 物料ID
	 * @param materiaIdEnd
	 */
	public void setMateriaIdEnd(Long materiaIdEnd){
		this.materiaIdEnd = materiaIdEnd;
	}

	/**
	 * 获取 增加 物料ID
	 * @return materiaIdIncrement
	 */
	public Long getMateriaIdIncrement(){
		return this.materiaIdIncrement;
	}

	/**
	 * 设置 增加 物料ID
	 * @param materiaIdIncrement
	 */
	public void setMateriaIdIncrement(Long materiaIdIncrement){
		this.materiaIdIncrement = materiaIdIncrement;
	}

	/**
	 * 获取 物料ID
	 * @return materiaIdList
	 */
	public List<Long> getMateriaIdList(){
		return this.materiaIdList;
	}

	/**
	 * 设置 物料ID
	 * @param materiaIdList
	 */
	public void setMateriaIdList(List<Long> materiaIdList){
		this.materiaIdList = materiaIdList;
	}

	/**
	 * 获取 物料编码
	 * @return materiaCodeList
	 */
	public List<String> getMateriaCodeList(){
		return this.materiaCodeList;
	}

	/**
	 * 设置 物料编码
	 * @param materiaCodeList
	 */
	public void setMateriaCodeList(List<String> materiaCodeList){
		this.materiaCodeList = materiaCodeList;
	}

	/**
	 * 获取 物料名称
	 * @return materiaNameList
	 */
	public List<String> getMateriaNameList(){
		return this.materiaNameList;
	}

	/**
	 * 设置 物料名称
	 * @param materiaNameList
	 */
	public void setMateriaNameList(List<String> materiaNameList){
		this.materiaNameList = materiaNameList;
	}

	/**
	 * 获取 开始 物料bom ID，如是再组件，需要填写
	 * @return materiaBomIdStart
	 */
	public Long getMateriaBomIdStart(){
		return this.materiaBomIdStart;
	}

	/**
	 * 设置 开始 物料bom ID，如是再组件，需要填写
	 * @param materiaBomIdStart
	 */
	public void setMateriaBomIdStart(Long materiaBomIdStart){
		this.materiaBomIdStart = materiaBomIdStart;
	}

	/**
	 * 获取 结束 物料bom ID，如是再组件，需要填写
	 * @return materiaBomIdEnd
	 */
	public Long getMateriaBomIdEnd(){
		return this.materiaBomIdEnd;
	}

	/**
	 * 设置 结束 物料bom ID，如是再组件，需要填写
	 * @param materiaBomIdEnd
	 */
	public void setMateriaBomIdEnd(Long materiaBomIdEnd){
		this.materiaBomIdEnd = materiaBomIdEnd;
	}

	/**
	 * 获取 增加 物料bom ID，如是再组件，需要填写
	 * @return materiaBomIdIncrement
	 */
	public Long getMateriaBomIdIncrement(){
		return this.materiaBomIdIncrement;
	}

	/**
	 * 设置 增加 物料bom ID，如是再组件，需要填写
	 * @param materiaBomIdIncrement
	 */
	public void setMateriaBomIdIncrement(Long materiaBomIdIncrement){
		this.materiaBomIdIncrement = materiaBomIdIncrement;
	}

	/**
	 * 获取 物料bom ID，如是再组件，需要填写
	 * @return materiaBomIdList
	 */
	public List<Long> getMateriaBomIdList(){
		return this.materiaBomIdList;
	}

	/**
	 * 设置 物料bom ID，如是再组件，需要填写
	 * @param materiaBomIdList
	 */
	public void setMateriaBomIdList(List<Long> materiaBomIdList){
		this.materiaBomIdList = materiaBomIdList;
	}

	/**
	 * 获取 开始 排序号，默认0
	 * @return orderNoStart
	 */
	public Long getOrderNoStart(){
		return this.orderNoStart;
	}

	/**
	 * 设置 开始 排序号，默认0
	 * @param orderNoStart
	 */
	public void setOrderNoStart(Long orderNoStart){
		this.orderNoStart = orderNoStart;
	}

	/**
	 * 获取 结束 排序号，默认0
	 * @return orderNoEnd
	 */
	public Long getOrderNoEnd(){
		return this.orderNoEnd;
	}

	/**
	 * 设置 结束 排序号，默认0
	 * @param orderNoEnd
	 */
	public void setOrderNoEnd(Long orderNoEnd){
		this.orderNoEnd = orderNoEnd;
	}

	/**
	 * 获取 增加 排序号，默认0
	 * @return orderNoIncrement
	 */
	public Long getOrderNoIncrement(){
		return this.orderNoIncrement;
	}

	/**
	 * 设置 增加 排序号，默认0
	 * @param orderNoIncrement
	 */
	public void setOrderNoIncrement(Long orderNoIncrement){
		this.orderNoIncrement = orderNoIncrement;
	}

	/**
	 * 获取 排序号，默认0
	 * @return orderNoList
	 */
	public List<Long> getOrderNoList(){
		return this.orderNoList;
	}

	/**
	 * 设置 排序号，默认0
	 * @param orderNoList
	 */
	public void setOrderNoList(List<Long> orderNoList){
		this.orderNoList = orderNoList;
	}

	/**
	 * 获取 分组名称，显示时相同分组名称的按排序号显示在一起，默认null
	 * @return groupNameList
	 */
	public List<String> getGroupNameList(){
		return this.groupNameList;
	}

	/**
	 * 设置 分组名称，显示时相同分组名称的按排序号显示在一起，默认null
	 * @param groupNameList
	 */
	public void setGroupNameList(List<String> groupNameList){
		this.groupNameList = groupNameList;
	}

	/**
	 * 获取 开始 用量，默认1
	 * @return useNumStart
	 */
	public Long getUseNumStart(){
		return this.useNumStart;
	}

	/**
	 * 设置 开始 用量，默认1
	 * @param useNumStart
	 */
	public void setUseNumStart(Long useNumStart){
		this.useNumStart = useNumStart;
	}

	/**
	 * 获取 结束 用量，默认1
	 * @return useNumEnd
	 */
	public Long getUseNumEnd(){
		return this.useNumEnd;
	}

	/**
	 * 设置 结束 用量，默认1
	 * @param useNumEnd
	 */
	public void setUseNumEnd(Long useNumEnd){
		this.useNumEnd = useNumEnd;
	}

	/**
	 * 获取 增加 用量，默认1
	 * @return useNumIncrement
	 */
	public Long getUseNumIncrement(){
		return this.useNumIncrement;
	}

	/**
	 * 设置 增加 用量，默认1
	 * @param useNumIncrement
	 */
	public void setUseNumIncrement(Long useNumIncrement){
		this.useNumIncrement = useNumIncrement;
	}

	/**
	 * 获取 用量，默认1
	 * @return useNumList
	 */
	public List<Long> getUseNumList(){
		return this.useNumList;
	}

	/**
	 * 设置 用量，默认1
	 * @param useNumList
	 */
	public void setUseNumList(List<Long> useNumList){
		this.useNumList = useNumList;
	}

	/**
	 * 获取 开始 损耗率，0-100，百分比，默认0
	 * @return lossRateStart
	 */
	public Integer getLossRateStart(){
		return this.lossRateStart;
	}

	/**
	 * 设置 开始 损耗率，0-100，百分比，默认0
	 * @param lossRateStart
	 */
	public void setLossRateStart(Integer lossRateStart){
		this.lossRateStart = lossRateStart;
	}

	/**
	 * 获取 结束 损耗率，0-100，百分比，默认0
	 * @return lossRateEnd
	 */
	public Integer getLossRateEnd(){
		return this.lossRateEnd;
	}

	/**
	 * 设置 结束 损耗率，0-100，百分比，默认0
	 * @param lossRateEnd
	 */
	public void setLossRateEnd(Integer lossRateEnd){
		this.lossRateEnd = lossRateEnd;
	}

	/**
	 * 获取 增加 损耗率，0-100，百分比，默认0
	 * @return lossRateIncrement
	 */
	public Integer getLossRateIncrement(){
		return this.lossRateIncrement;
	}

	/**
	 * 设置 增加 损耗率，0-100，百分比，默认0
	 * @param lossRateIncrement
	 */
	public void setLossRateIncrement(Integer lossRateIncrement){
		this.lossRateIncrement = lossRateIncrement;
	}

	/**
	 * 获取 损耗率，0-100，百分比，默认0
	 * @return lossRateList
	 */
	public List<Integer> getLossRateList(){
		return this.lossRateList;
	}

	/**
	 * 设置 损耗率，0-100，百分比，默认0
	 * @param lossRateList
	 */
	public void setLossRateList(List<Integer> lossRateList){
		this.lossRateList = lossRateList;
	}

	/**
	 * 获取 开始 必选料，0否，1是，默认1
	 * @return requiredStart
	 */
	public Integer getRequiredStart(){
		return this.requiredStart;
	}

	/**
	 * 设置 开始 必选料，0否，1是，默认1
	 * @param requiredStart
	 */
	public void setRequiredStart(Integer requiredStart){
		this.requiredStart = requiredStart;
	}

	/**
	 * 获取 结束 必选料，0否，1是，默认1
	 * @return requiredEnd
	 */
	public Integer getRequiredEnd(){
		return this.requiredEnd;
	}

	/**
	 * 设置 结束 必选料，0否，1是，默认1
	 * @param requiredEnd
	 */
	public void setRequiredEnd(Integer requiredEnd){
		this.requiredEnd = requiredEnd;
	}

	/**
	 * 获取 增加 必选料，0否，1是，默认1
	 * @return requiredIncrement
	 */
	public Integer getRequiredIncrement(){
		return this.requiredIncrement;
	}

	/**
	 * 设置 增加 必选料，0否，1是，默认1
	 * @param requiredIncrement
	 */
	public void setRequiredIncrement(Integer requiredIncrement){
		this.requiredIncrement = requiredIncrement;
	}

	/**
	 * 获取 必选料，0否，1是，默认1
	 * @return requiredList
	 */
	public List<Integer> getRequiredList(){
		return this.requiredList;
	}

	/**
	 * 设置 必选料，0否，1是，默认1
	 * @param requiredList
	 */
	public void setRequiredList(List<Integer> requiredList){
		this.requiredList = requiredList;
	}

	/**
	 * 获取 开始 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @return supplyTypeStart
	 */
	public Integer getSupplyTypeStart(){
		return this.supplyTypeStart;
	}

	/**
	 * 设置 开始 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @param supplyTypeStart
	 */
	public void setSupplyTypeStart(Integer supplyTypeStart){
		this.supplyTypeStart = supplyTypeStart;
	}

	/**
	 * 获取 结束 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @return supplyTypeEnd
	 */
	public Integer getSupplyTypeEnd(){
		return this.supplyTypeEnd;
	}

	/**
	 * 设置 结束 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @param supplyTypeEnd
	 */
	public void setSupplyTypeEnd(Integer supplyTypeEnd){
		this.supplyTypeEnd = supplyTypeEnd;
	}

	/**
	 * 获取 增加 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @return supplyTypeIncrement
	 */
	public Integer getSupplyTypeIncrement(){
		return this.supplyTypeIncrement;
	}

	/**
	 * 设置 增加 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @param supplyTypeIncrement
	 */
	public void setSupplyTypeIncrement(Integer supplyTypeIncrement){
		this.supplyTypeIncrement = supplyTypeIncrement;
	}

	/**
	 * 获取 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @return supplyTypeList
	 */
	public List<Integer> getSupplyTypeList(){
		return this.supplyTypeList;
	}

	/**
	 * 设置 补给方式，参数配置-MateriaSupplyType10外购，20自产，30外协默认10
	 * @param supplyTypeList
	 */
	public void setSupplyTypeList(List<Integer> supplyTypeList){
		this.supplyTypeList = supplyTypeList;
	}

	/**
	 * 获取 开始 供应商
	 * @return supplierIdStart
	 */
	public Long getSupplierIdStart(){
		return this.supplierIdStart;
	}

	/**
	 * 设置 开始 供应商
	 * @param supplierIdStart
	 */
	public void setSupplierIdStart(Long supplierIdStart){
		this.supplierIdStart = supplierIdStart;
	}

	/**
	 * 获取 结束 供应商
	 * @return supplierIdEnd
	 */
	public Long getSupplierIdEnd(){
		return this.supplierIdEnd;
	}

	/**
	 * 设置 结束 供应商
	 * @param supplierIdEnd
	 */
	public void setSupplierIdEnd(Long supplierIdEnd){
		this.supplierIdEnd = supplierIdEnd;
	}

	/**
	 * 获取 增加 供应商
	 * @return supplierIdIncrement
	 */
	public Long getSupplierIdIncrement(){
		return this.supplierIdIncrement;
	}

	/**
	 * 设置 增加 供应商
	 * @param supplierIdIncrement
	 */
	public void setSupplierIdIncrement(Long supplierIdIncrement){
		this.supplierIdIncrement = supplierIdIncrement;
	}

	/**
	 * 获取 供应商
	 * @return supplierIdList
	 */
	public List<Long> getSupplierIdList(){
		return this.supplierIdList;
	}

	/**
	 * 设置 供应商
	 * @param supplierIdList
	 */
	public void setSupplierIdList(List<Long> supplierIdList){
		this.supplierIdList = supplierIdList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 开始 扩展字段，数据意义参看扩展字段定义表
	 * @return field01Start
	 */
	public Long getField01Start(){
		return this.field01Start;
	}

	/**
	 * 设置 开始 扩展字段，数据意义参看扩展字段定义表
	 * @param field01Start
	 */
	public void setField01Start(Long field01Start){
		this.field01Start = field01Start;
	}

	/**
	 * 获取 结束 扩展字段，数据意义参看扩展字段定义表
	 * @return field01End
	 */
	public Long getField01End(){
		return this.field01End;
	}

	/**
	 * 设置 结束 扩展字段，数据意义参看扩展字段定义表
	 * @param field01End
	 */
	public void setField01End(Long field01End){
		this.field01End = field01End;
	}

	/**
	 * 获取 增加 扩展字段，数据意义参看扩展字段定义表
	 * @return field01Increment
	 */
	public Long getField01Increment(){
		return this.field01Increment;
	}

	/**
	 * 设置 增加 扩展字段，数据意义参看扩展字段定义表
	 * @param field01Increment
	 */
	public void setField01Increment(Long field01Increment){
		this.field01Increment = field01Increment;
	}

	/**
	 * 获取 扩展字段，数据意义参看扩展字段定义表
	 * @return field01List
	 */
	public List<Long> getField01List(){
		return this.field01List;
	}

	/**
	 * 设置 扩展字段，数据意义参看扩展字段定义表
	 * @param field01List
	 */
	public void setField01List(List<Long> field01List){
		this.field01List = field01List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field02Start
	 */
	public Long getField02Start(){
		return this.field02Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field02Start
	 */
	public void setField02Start(Long field02Start){
		this.field02Start = field02Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field02End
	 */
	public Long getField02End(){
		return this.field02End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field02End
	 */
	public void setField02End(Long field02End){
		this.field02End = field02End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field02Increment
	 */
	public Long getField02Increment(){
		return this.field02Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field02Increment
	 */
	public void setField02Increment(Long field02Increment){
		this.field02Increment = field02Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field02List
	 */
	public List<Long> getField02List(){
		return this.field02List;
	}

	/**
	 * 设置 扩展字段
	 * @param field02List
	 */
	public void setField02List(List<Long> field02List){
		this.field02List = field02List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field03Start
	 */
	public Long getField03Start(){
		return this.field03Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field03Start
	 */
	public void setField03Start(Long field03Start){
		this.field03Start = field03Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field03End
	 */
	public Long getField03End(){
		return this.field03End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field03End
	 */
	public void setField03End(Long field03End){
		this.field03End = field03End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field03Increment
	 */
	public Long getField03Increment(){
		return this.field03Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field03Increment
	 */
	public void setField03Increment(Long field03Increment){
		this.field03Increment = field03Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field03List
	 */
	public List<Long> getField03List(){
		return this.field03List;
	}

	/**
	 * 设置 扩展字段
	 * @param field03List
	 */
	public void setField03List(List<Long> field03List){
		this.field03List = field03List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field04Start
	 */
	public Long getField04Start(){
		return this.field04Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field04Start
	 */
	public void setField04Start(Long field04Start){
		this.field04Start = field04Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field04End
	 */
	public Long getField04End(){
		return this.field04End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field04End
	 */
	public void setField04End(Long field04End){
		this.field04End = field04End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field04Increment
	 */
	public Long getField04Increment(){
		return this.field04Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field04Increment
	 */
	public void setField04Increment(Long field04Increment){
		this.field04Increment = field04Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field04List
	 */
	public List<Long> getField04List(){
		return this.field04List;
	}

	/**
	 * 设置 扩展字段
	 * @param field04List
	 */
	public void setField04List(List<Long> field04List){
		this.field04List = field04List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field05Start
	 */
	public Long getField05Start(){
		return this.field05Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field05Start
	 */
	public void setField05Start(Long field05Start){
		this.field05Start = field05Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field05End
	 */
	public Long getField05End(){
		return this.field05End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field05End
	 */
	public void setField05End(Long field05End){
		this.field05End = field05End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field05Increment
	 */
	public Long getField05Increment(){
		return this.field05Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field05Increment
	 */
	public void setField05Increment(Long field05Increment){
		this.field05Increment = field05Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field05List
	 */
	public List<Long> getField05List(){
		return this.field05List;
	}

	/**
	 * 设置 扩展字段
	 * @param field05List
	 */
	public void setField05List(List<Long> field05List){
		this.field05List = field05List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field06Start
	 */
	public Long getField06Start(){
		return this.field06Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field06Start
	 */
	public void setField06Start(Long field06Start){
		this.field06Start = field06Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field06End
	 */
	public Long getField06End(){
		return this.field06End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field06End
	 */
	public void setField06End(Long field06End){
		this.field06End = field06End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field06Increment
	 */
	public Long getField06Increment(){
		return this.field06Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field06Increment
	 */
	public void setField06Increment(Long field06Increment){
		this.field06Increment = field06Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field06List
	 */
	public List<Long> getField06List(){
		return this.field06List;
	}

	/**
	 * 设置 扩展字段
	 * @param field06List
	 */
	public void setField06List(List<Long> field06List){
		this.field06List = field06List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field07Start
	 */
	public Long getField07Start(){
		return this.field07Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field07Start
	 */
	public void setField07Start(Long field07Start){
		this.field07Start = field07Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field07End
	 */
	public Long getField07End(){
		return this.field07End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field07End
	 */
	public void setField07End(Long field07End){
		this.field07End = field07End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field07Increment
	 */
	public Long getField07Increment(){
		return this.field07Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field07Increment
	 */
	public void setField07Increment(Long field07Increment){
		this.field07Increment = field07Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field07List
	 */
	public List<Long> getField07List(){
		return this.field07List;
	}

	/**
	 * 设置 扩展字段
	 * @param field07List
	 */
	public void setField07List(List<Long> field07List){
		this.field07List = field07List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field08Start
	 */
	public Long getField08Start(){
		return this.field08Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field08Start
	 */
	public void setField08Start(Long field08Start){
		this.field08Start = field08Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field08End
	 */
	public Long getField08End(){
		return this.field08End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field08End
	 */
	public void setField08End(Long field08End){
		this.field08End = field08End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field08Increment
	 */
	public Long getField08Increment(){
		return this.field08Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field08Increment
	 */
	public void setField08Increment(Long field08Increment){
		this.field08Increment = field08Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field08List
	 */
	public List<Long> getField08List(){
		return this.field08List;
	}

	/**
	 * 设置 扩展字段
	 * @param field08List
	 */
	public void setField08List(List<Long> field08List){
		this.field08List = field08List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field09Start
	 */
	public Long getField09Start(){
		return this.field09Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field09Start
	 */
	public void setField09Start(Long field09Start){
		this.field09Start = field09Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field09End
	 */
	public Long getField09End(){
		return this.field09End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field09End
	 */
	public void setField09End(Long field09End){
		this.field09End = field09End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field09Increment
	 */
	public Long getField09Increment(){
		return this.field09Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field09Increment
	 */
	public void setField09Increment(Long field09Increment){
		this.field09Increment = field09Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field09List
	 */
	public List<Long> getField09List(){
		return this.field09List;
	}

	/**
	 * 设置 扩展字段
	 * @param field09List
	 */
	public void setField09List(List<Long> field09List){
		this.field09List = field09List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field10Start
	 */
	public Long getField10Start(){
		return this.field10Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field10Start
	 */
	public void setField10Start(Long field10Start){
		this.field10Start = field10Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field10End
	 */
	public Long getField10End(){
		return this.field10End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field10End
	 */
	public void setField10End(Long field10End){
		this.field10End = field10End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field10Increment
	 */
	public Long getField10Increment(){
		return this.field10Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field10Increment
	 */
	public void setField10Increment(Long field10Increment){
		this.field10Increment = field10Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field10List
	 */
	public List<Long> getField10List(){
		return this.field10List;
	}

	/**
	 * 设置 扩展字段
	 * @param field10List
	 */
	public void setField10List(List<Long> field10List){
		this.field10List = field10List;
	}

	/**
	 * 获取 扩展字段
	 * @return field11List
	 */
	public List<String> getField11List(){
		return this.field11List;
	}

	/**
	 * 设置 扩展字段
	 * @param field11List
	 */
	public void setField11List(List<String> field11List){
		this.field11List = field11List;
	}

	/**
	 * 获取 扩展字段
	 * @return field12List
	 */
	public List<String> getField12List(){
		return this.field12List;
	}

	/**
	 * 设置 扩展字段
	 * @param field12List
	 */
	public void setField12List(List<String> field12List){
		this.field12List = field12List;
	}

	/**
	 * 获取 扩展字段
	 * @return field13List
	 */
	public List<String> getField13List(){
		return this.field13List;
	}

	/**
	 * 设置 扩展字段
	 * @param field13List
	 */
	public void setField13List(List<String> field13List){
		this.field13List = field13List;
	}

	/**
	 * 获取 扩展字段
	 * @return field14List
	 */
	public List<String> getField14List(){
		return this.field14List;
	}

	/**
	 * 设置 扩展字段
	 * @param field14List
	 */
	public void setField14List(List<String> field14List){
		this.field14List = field14List;
	}

	/**
	 * 获取 扩展字段
	 * @return field15List
	 */
	public List<String> getField15List(){
		return this.field15List;
	}

	/**
	 * 设置 扩展字段
	 * @param field15List
	 */
	public void setField15List(List<String> field15List){
		this.field15List = field15List;
	}

	/**
	 * 获取 扩展字段
	 * @return field16List
	 */
	public List<String> getField16List(){
		return this.field16List;
	}

	/**
	 * 设置 扩展字段
	 * @param field16List
	 */
	public void setField16List(List<String> field16List){
		this.field16List = field16List;
	}

	/**
	 * 获取 扩展字段
	 * @return field17List
	 */
	public List<String> getField17List(){
		return this.field17List;
	}

	/**
	 * 设置 扩展字段
	 * @param field17List
	 */
	public void setField17List(List<String> field17List){
		this.field17List = field17List;
	}

	/**
	 * 获取 扩展字段
	 * @return field18List
	 */
	public List<String> getField18List(){
		return this.field18List;
	}

	/**
	 * 设置 扩展字段
	 * @param field18List
	 */
	public void setField18List(List<String> field18List){
		this.field18List = field18List;
	}

	/**
	 * 获取 扩展字段
	 * @return field19List
	 */
	public List<String> getField19List(){
		return this.field19List;
	}

	/**
	 * 设置 扩展字段
	 * @param field19List
	 */
	public void setField19List(List<String> field19List){
		this.field19List = field19List;
	}

	/**
	 * 获取 扩展字段
	 * @return field20List
	 */
	public List<String> getField20List(){
		return this.field20List;
	}

	/**
	 * 设置 扩展字段
	 * @param field20List
	 */
	public void setField20List(List<String> field20List){
		this.field20List = field20List;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaBomItemQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaBomItemQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaBomItemQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaBomItemQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}